# FortBoy

**FortBoy** is a text adventure game written during
[7DRL 2022](https://itch.io/jam/7drl-challenge-2022). It features procedurally
generated worlds, and runs on the original Game Boy. Perfect for the dungeon
crawler on-the-go!

- **[Download ROM](https://tkers.dev/fortboy/fortboy.gb)**
- [Play in browser](https://tkers.dev/fortboy)

_Running this rom on a proper emulator (or flashing it to a physical cartridge)
is highly recommended. The browser preview that's included on this page does not
support sound and lacks the charm of a real device :)_

> _Be brave, unlikely hero. Adventure awaits!_

![FortBoy Title Screen](docs/title.png)

### Objective

Your objective is to escape the fortress you find yourself trapped in. Navigate
the different rooms in search for the exit, and find items that help you
overcome the obstacles that block your path. And why not pick up some gold coins
along the way?

### Controls

- **D-pad** to navigate the fortress in cardinal directions
- **A** to pick up items from the current room
- **B** to use items in your possession

_If you are running the demo from your browser, the keyboard keys **X** and
**Z** map to buttons **A** and **B**, respectively._

### Procedural Generation

The world is randomly generated, so you'll encounter different rooms, layouts,
items and obstacles every time you play! Some playthroughs will be longer than
others, so if things feel a bit too easy, try to play another round.

_For completionists: there are 10 gold coins to collect in each of the 2048
possible fortresses._

### 7DRL version

You can find the 7DRL build (commit
[6ac6e3c](https://github.com/tkers/fortboy/tree/7drl)) of FortBoy here:

- [Download 7DRL ROM](https://tkers.dev/fortboy/fortboy-7drl.gb)
- [Play 7DRL version](https://tkers.dev/fortboy/7drl)

The updated version features some improvements, though the main gameplay has
remained the same as in the original.
